GET
/lending/v1/products/{product_id}/segments/{segment_id}Get a segment
The endpoint lending/v1/products/{product_id}/segments/{segment_id} allows you to obtain the data of a specific segment for a given credit product.
- The pricing returned is the current one, or the next one if there is not yet a current one. If the segment does not have its own pricing,
pricingis not included. - If the product does not exist, it responds 404
PRODUCT_NOT_FOUND; if the segment does not exist in that product, 404SEGMENT_NOT_FOUND.
Available parameters
Path Parameters
product_idStringrequired
segment_idStringrequired
Autenticación
🔒BearerAuthhttp
Response details
401
The token is missing or invalid. The response has no body.
403
No body. The token is valid but does not have the scope required by the endpoint.
Ejemplo de código
curl -X GET "https://api.pomelo.la/lending/v1/products/example_value/segments/example_value" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY"Ejemplo de respuesta (200)OK
{
"data": {
"id": "lsg-3JswKtetEReOEssT86UweXa4do2",
"product_id": "lpr-2HMvSzWjc5La6WDTlgFweXAmPle",
"name": "Nómina",
"status": "ACTIVE",
"pricing": {
"start_date": "2026-10-03",
"rates": {
"late_fee": "2.50",
"cash_advance": "45.00",
"revolving": "39.00"
},
"fees": [
{
"name": "membership_fee",
"amount": "49.00",
"frequency": "MONTHLY",
"type": "FLAT"
}
]
},
"credit_card": {
"minimum_payment": 150,
"minimum_payment_composition": {
"revolving": 100,
"cash_advances": 50,
"financing": 100,
"annuities": 100,
"purchases": 8
}
},
"created_at": "2026-10-03T14:21:07.512Z",
"updated_at": "2026-10-03T14:21:07.512Z"
}
}